ECPrivateKey (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.sec

## Class ECPrivateKey

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.sec.ECPrivateKey

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ECPrivateKey
      extends ASN1Object

  the elliptic curve private key object from SEC 1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECPrivateKey(java.math.BigInteger key)` Deprecated. use constructor which takes orderBitLength to guarantee correct encoding.
    `ECPrivateKey(java.math.BigInteger key, ASN1Encodable parameters)` Deprecated. use constructor which takes orderBitLength to guarantee correct encoding.
    `ECPrivateKey(java.math.BigInteger key, DERBitString publicKey, ASN1Encodable parameters)` Deprecated. use constructor which takes orderBitLength to guarantee correct encoding.
    `ECPrivateKey(int orderBitLength, java.math.BigInteger key)` Base constructor.
    `ECPrivateKey(int orderBitLength, java.math.BigInteger key, ASN1Encodable parameters)`
    `ECPrivateKey(int orderBitLength, java.math.BigInteger key, DERBitString publicKey, ASN1Encodable parameters)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ECPrivateKey` | `getInstance(java.lang.Object obj)`
    `java.math.BigInteger` | `getKey()`
    `ASN1Primitive` | `getParameters()`
    `DERBitString` | `getPublicKey()`
    `ASN1Primitive` | `toASN1Primitive()` ECPrivateKey ::= SEQUENCE { version INTEGER { ecPrivkeyVer1(1) } (ecPrivkeyVer1), privateKey OCTET STRING, parameters [0] Parameters OPTIONAL, publicKey [1] BIT STRING OPTIONAL }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ECPrivateKey

          public ECPrivateKey(java.math.BigInteger key)

      Deprecated. use constructor which takes orderBitLength to guarantee correct encoding.

    - #### ECPrivateKey

          public ECPrivateKey(int orderBitLength,
                      java.math.BigInteger key)

      Base constructor.
      Parameters:
        `orderBitLength` - the bitLength of the order of the curve.
        `key` - the private key value.

    - #### ECPrivateKey

          public ECPrivateKey(java.math.BigInteger key,
                      ASN1Encodable parameters)

      Deprecated. use constructor which takes orderBitLength to guarantee correct encoding.

    - #### ECPrivateKey

          public ECPrivateKey(java.math.BigInteger key,
                      DERBitString publicKey,
                      ASN1Encodable parameters)

      Deprecated. use constructor which takes orderBitLength to guarantee correct encoding.

    - #### ECPrivateKey

          public ECPrivateKey(int orderBitLength,
                      java.math.BigInteger key,
                      ASN1Encodable parameters)

    - #### ECPrivateKey

          public ECPrivateKey(int orderBitLength,
                      java.math.BigInteger key,
                      DERBitString publicKey,
                      ASN1Encodable parameters)

  - ### Method Detail

    - #### getInstance

          public static ECPrivateKey getInstance(java.lang.Object obj)

    - #### getKey

          public java.math.BigInteger getKey()

    - #### getPublicKey

          public DERBitString getPublicKey()

    - #### getParameters

          public ASN1Primitive getParameters()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      ECPrivateKey ::= SEQUENCE { version INTEGER { ecPrivkeyVer1(1) } (ecPrivkeyVer1), privateKey OCTET STRING, parameters [0] Parameters OPTIONAL, publicKey [1] BIT STRING OPTIONAL }
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.